"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var parser_1 = require("./parser");
exports.parseGoConfig = parser_1.parseGoConfig;
// Build dep tree from the manifest/lock files only.
// This does not scan the source code for imports, so it's not accurate;
// in particular, it cannot build the proper dependency graph (only a flat list).
function buildDepTree(manifestFileContents, lockFileContents, lockfileType) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var e_1, _a, goProjectConfig, dependencies, _b, _c, dep;
        return tslib_1.__generator(this, function (_d) {
            goProjectConfig = parser_1.parseGoConfig(lockfileType, manifestFileContents, lockFileContents);
            dependencies = {};
            try {
                for (_b = tslib_1.__values(Object.keys(goProjectConfig.lockedVersions)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    dep = _c.value;
                    dependencies[dep] = {
                        name: dep,
                        version: goProjectConfig.lockedVersions[dep].version,
                    };
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return [2 /*return*/, {
                    name: goProjectConfig.packageName || 'root',
                    version: '0.0.0',
                    dependencies: dependencies,
                }];
        });
    });
}
exports.buildDepTree = buildDepTree;
//# sourceMappingURL=index.js.map